=== config/CMakeLists.txt ===
# declare project
project(config)

# recurse into subdirectories
add_subdirectory(docs)
