=== dcmfg/libsrc/CMakeLists.txt ===
# create library from source files
DCMTK_ADD_LIBRARY(dcmfg
  concatenationcreator.cc
  concatenationloader.cc
  fg.cc
  fgbase.cc
  fgctacquisitiondetails.cc
  fgctacquisitiontype.cc
  fgctadditionalxraysource.cc
  fgctexposure.cc
  fgctgeometry.cc
  fgctimageframetype.cc
  fgctposition.cc
  fgctreconstruction.cc
  fgcttabledynamics.cc
  fgctxraydetails.cc
  fgderimg.cc
  fgfact.cc
  fgfracon.cc
  fgframeanatomy.cc
  fgframevoilut.cc
  fgpixeltransform.cc
  fgimagedatatype.cc
  fginterface.cc
  fgirradiationeventid.cc
  fgpixmsr.cc
  fgparametricmapframetype.cc
  fgplanor.cc
  fgplanorvol.cc
  fgplanpo.cc
  fgplanposvol.cc
  fgrealworldvaluemapping.cc
  fgseg.cc
  fgtemporalposition.cc
  fgusimagedescription.cc
  fgtypes.cc
  stack.cc
  stackinterface.cc)

DCMTK_TARGET_LINK_MODULES(dcmfg dcmiod dcmdata ofstd oflog)
