=== debian/changelog ===
dcmtk (3.6.7-9.1build4) noble; urgency=medium

  * No-change rebuild against libssl3t64.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 15 Apr 2024 19:40:35 +0100

dcmtk (3.6.7-9.1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 07:32:02 +0000

dcmtk (3.6.7-9.1build2) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 17:38:14 +0000

dcmtk (3.6.7-9.1build1) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 06:18:05 +0000

dcmtk (3.6.7-9.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062022

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Wed, 28 Feb 2024 01:17:02 +0000

dcmtk (3.6.7-9) unstable; urgency=medium

  * Team upload.
  * Fix postrm
    Closes: #1038776

 -- Andreas Tille <tille@debian.org>  Thu, 22 Jun 2023 09:53:48 +0200

dcmtk (3.6.7-8) unstable; urgency=medium

  * d/patches: Fix CVE-2022-43272. Closes: #1027165
  * d/control: Bump Std-Vers to 4.6.2 no changes needed

 -- Mathieu Malaterre <malat@debian.org>  Wed, 04 Jan 2023 11:15:13 +0100

dcmtk (3.6.7-7) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * Prevent bashism in run-unit-test
  * Enable running run-unit-test from any directory
  * Add maintscript to remove outdated conffiles
    Closes: #990134
  * On purge remove /var/lib/dcmtk/db/STORESCP if exists
    Closes: #990135

  [ Mathieu Malaterre ]
  * d/control: Add missing dependency on libjs-jquery. Closes: #989108

 -- Andreas Tille <tille@debian.org>  Tue, 06 Dec 2022 11:52:52 +0100

dcmtk (3.6.7-6) unstable; urgency=medium

  [ Mathieu Malaterre ]
  * Team upload.
  * d/control: libdcmtk4 is not present in o-o-stable
  * d/postrm: Fix possible-bashism-in-maintainer-script
  * d/patches: CVE-2022-2119 CVE-2022-2120. Closes: #1017743

  [ Mohammed Bilal ]
  * Add autopkgtests
  * Bump Standards-Version to 4.6.1 (no changes needed)

 -- Mathieu Malaterre <malat@debian.org>  Mon, 22 Aug 2022 17:02:26 +0200

dcmtk (3.6.7-5) unstable; urgency=medium

  [ Gregory C. Sharp ]
  * Change CMAKE_INSTALL_DATADIC to CMAKE_INSTALL_DATADIR in an attempt
    to fix dictionary load failure

 -- Andreas Tille <tille@debian.org>  Fri, 17 Jun 2022 21:41:44 +0200

dcmtk (3.6.7-4) unstable; urgency=medium

  * Team upload.
  * Fix install dir of dictionaries
    Closes: #1012417

 -- Andreas Tille <tille@debian.org>  Tue, 07 Jun 2022 09:05:06 +0200

dcmtk (3.6.7-3) unstable; urgency=medium

  * Source-only upload
  * Breaks+Replaces: libdcmtk16

 -- Andreas Tille <tille@debian.org>  Mon, 06 Jun 2022 19:39:49 +0200

dcmtk (3.6.7-2) unstable; urgency=medium

  * Team upload.
  * Upstream has bumped SONAME thus rename binary package for shared
    library
    Closes: #1010536

 -- Andreas Tille <tille@debian.org>  Wed, 04 May 2022 09:08:00 +0200

dcmtk (3.6.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
    Closes: #1010474
  * Point watch file to Github
  * Drop useless get-orig-source target (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Drop debian/gbp.conf
  * Install pkgconfig file
  * Review d/copyright
  * Drop unneeded lintian-override

 -- Andreas Tille <tille@debian.org>  Tue, 03 May 2022 10:28:02 +0200

dcmtk (3.6.6-6) UNRELEASED; urgency=medium

  * d/dcmtk.postrm: Added check to remove dcmtk user (Closes: #987972)
  * d/dcmtk.postinst: Change dcmtk user shell to nologin

 -- Lance Lin <LQi254@protonmail.com>  Wed, 13 Apr 2022 19:36:57 +0700
