=== debian/tests/control ===
Tests: run-unit-test
Depends: @, python3-pydicom
Restrictions: allow-stderr
