=== dcmimgle/data/CMakeLists.txt ===
# declare installation files
install(FILES camera.lut monitor.lut printer.lut scanner.lut DESTINATION "${CMAKE_INSTALL_FULL_DATADIR}" COMPONENT data)
