=== dcmpstat/data/CMakeLists.txt ===
# declare installation files
install(FILES philips.lut DESTINATION "${CMAKE_INSTALL_FULL_DATADIR}" COMPONENT data)
