=== debian/changelog ===
dcmtk (3.6.8-7) unstable; urgency=medium

  * Team upload.
  * 0001-Fixed-unchecked-typecasts-of-DcmItem-search-results.patch.
    Patch refreshed.
  * 0004-Fixed-two-segmentation-faults.patch: unfuzz.
  * 0007-CVE-2024-47796.patch: new.
    This patch addresses CVE-2024-47796. (Closes: #1093043)
  * 0008-CVE-2024-52333.patch: new.
    This patch addresses CVE-2024-52333. (Closes: #1093047)

 -- Étienne Mollier <emollier@debian.org>  Sat, 18 Jan 2025 16:30:29 +0100

dcmtk (3.6.8-6) unstable; urgency=medium

  * d/t/run-unit-test: Fix unit-test for new release. Closes: #1075917
  * d/patches: Fixed possible overflows when allocating memory. Closes: #1074483

 -- Mathieu Malaterre <malat@debian.org>  Mon, 08 Jul 2024 13:31:04 +0200

dcmtk (3.6.8-5) unstable; urgency=medium

  * Upload 3.6.8 to unstable
  * d/control: Bump Std-Vers to 4.7.0 no changes needed

 -- Mathieu Malaterre <malat@debian.org>  Fri, 05 Jul 2024 11:24:00 +0200

dcmtk (3.6.8-4) experimental; urgency=medium

  * d/rules: Add dcmtk-data package
  * d/control: Add missing dependency on libjs-jquery. Closes: #989108
  * d/control: Reduce number of dependencies for -dev package
  * New upstream version 3.6.8

 -- Mathieu Malaterre <malat@debian.org>  Mon, 24 Jun 2024 20:43:54 +0200

dcmtk (3.6.7-15) unstable; urgency=medium

  * Team upload.
  [ Adrian Bunk ]
  * Update two of the previously applied patches to avoid breaking the ABI.
    Closes: #1070207.

 -- Santiago Vila <sanvila@debian.org>  Mon, 24 Jun 2024 12:30:00 +0200

dcmtk (3.6.7-14) unstable; urgency=medium

  * Team upload.
  [ Emanuele Rocca ]
  * Do not drop graphviz from build-depends-indep for armhf and armel.
  [ Adrian Bunk ]
  * CVE-2024-28130: Segmentation faults due to incorrect typecast
    (Closes: #1070207)
  * CVE-2024-34508: Segmentation fault via invalid DIMSE message
  * CVE-2024-34509: Segmentation fault via invalid DIMSE message

 -- Santiago Vila <sanvila@debian.org>  Wed, 05 Jun 2024 14:30:00 +0200

dcmtk (3.6.7-13) unstable; urgency=medium

  * Team upload.
  * Marked Debian-specific patches as not needing forwarding to
    upstream.
  * d/control: add explicit dependency on libnsl-dev. Closes: #1066422.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 19 Mar 2024 15:24:15 +0100

dcmtk (3.6.7-12) unstable; urgency=medium

  * Team upload.

  [ Emanuele Rocca ]
  * Do not build-depend on graphviz on armhf and armel. The package is
    currently not installable on those arches due to the ongoing t64
    transition. Closes: #1067147

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 19 Mar 2024 12:30:03 +0100

dcmtk (3.6.7-11) unstable; urgency=medium

  * Fix typo in target distribution during upload.

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Tue, 19 Mar 2024 11:54:38 +0100

dcmtk (3.6.7-10) unreleased; urgency=medium

  * Fix build on armel.  Closes: #1060104

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Tue, 19 Mar 2024 11:03:28 +0100
