=== debian/control ===
--- 
+++ 
@@ -1,24 +1,24 @@
 Source: dcmtk
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Gert Wollny <gewo@debian.org>,
-           Mathieu Malaterre <malat@debian.org>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Uploaders: Gert Wollny <gewo@debian.org>, Mathieu Malaterre <malat@debian.org>
 Section: science
 Priority: optional
-Build-Depends: dpkg-dev (>= 1.22.5), cmake,
+Build-Depends: cmake,
                debhelper-compat (= 13),
+               dpkg-dev (>= 1.22.5),
                gettext,
                help2man,
+               libnsl-dev,
                libpng-dev,
                libsndfile1-dev,
                libssl-dev,
                libtiff-dev,
                libwrap0-dev,
                libxml2-dev,
+               xxd,
                zlib1g-dev
-Build-Depends-Indep: doxygen,
-                     graphviz
-Standards-Version: 4.6.2
+Build-Depends-Indep: doxygen, graphviz
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/med-team/dcmtk
 Vcs-Git: https://salsa.debian.org/med-team/dcmtk.git
 Homepage: https://dicom.offis.de/dcmtk
@@ -26,9 +26,7 @@
 
 Package: dcmtk
 Architecture: any
-Depends: adduser,
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends: adduser, ${misc:Depends}, ${shlibs:Depends}
 Description: OFFIS DICOM toolkit command line utilities
  DCMTK includes a collection of libraries and applications for examining,
  constructing and converting DICOM image files, handling offline media,
@@ -39,14 +37,24 @@
  .
  Note: This version was compiled with libssl support.
 
-Package: libdcmtk17t64
-Provides: ${t64:Provides}
+Package: dcmtk-data
+Architecture: all
+Multi-Arch: foreign
+Depends: ${misc:Depends}
+Description: OFFIS DICOM toolkit data files
+ DCMTK includes a collection of libraries and applications for examining,
+ constructing and converting DICOM image files, handling offline media,
+ sending and receiving images over a network connection, as well as
+ demonstrative image storage and worklist servers.
+ .
+ This package contains the DCMTK data files.
+
+Package: libdcmtk18
 Architecture: any
 Section: libs
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
-Breaks: libdcmtk17 (<< ${source:Version}), libdcmtk16 (= 3.6.7-1)
-Replaces: libdcmtk17, libdcmtk16 (= 3.6.7-1)
+Depends: dcmtk-data (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
+Breaks: libdcmtk16 (= 3.6.7-1)
+Replaces: libdcmtk16 (= 3.6.7-1)
 Multi-Arch: same
 Description: OFFIS DICOM toolkit runtime libraries
  DCMTK includes a collection of libraries and applications for examining,
@@ -62,15 +70,14 @@
 Package: libdcmtk-dev
 Architecture: any
 Section: libdevel
-Depends: libdcmtk17t64 (= ${binary:Version}),
-         libpng-dev,
-         libssl-dev,
-         libtiff-dev,
+Depends: libdcmtk18 (= ${binary:Version}),
+         libnsl-dev,
          libwrap0-dev,
          libxml2-dev,
+         libz-dev,
          ${misc:Depends}
 Suggests: dcmtk-doc
-Provides: libdcmtk17-dev
+Provides: libdcmtk18-dev
 Description: OFFIS DICOM toolkit development libraries and headers
  DCMTK includes a collection of libraries and applications for examining,
  constructing and converting DICOM image files, handling offline media,
@@ -86,9 +93,8 @@
 Package: dcmtk-doc
 Architecture: all
 Section: doc
-Depends: ${misc:Depends}, libjs-jquery
-Suggests: dcmtk,
-          libdcmtk-dev
+Depends: libjs-jquery, ${misc:Depends}
+Suggests: dcmtk, libdcmtk-dev
 Multi-Arch: foreign
 Description: OFFIS DICOM toolkit documentation
  DCMTK includes a collection of libraries and applications for examining,
