=== debian/watch ===
version=4
opts="mode=git,pgpmode=none,pretty=3.6.8~git%cd.%h" \
https://github.com/DCMTK/dcmtk \
HEAD debian uupdate
